Bug 442799 - glib2 uses sr@Latn rather sr@latin directory
glib2 uses sr@Latn rather sr@latin directory
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-16 17:10 EDT by Robert Scheck
Modified: 2008-09-04 17:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-04 17:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-04-16 17:10:18 EDT
Description of problem:
glib2 uses sr@Latn rather sr@latin directory, so glib20.mo is: 

> rpm -qf /usr/share/locale/sr@Latn
file /usr/share/locale/sr@Latn is not owned by any package

> rpm -qf /usr/share/locale/sr@latin

See also bug #436887 for further information.

Version-Release number of selected component (if applicable):

How reproducible:
Everytime, see above.

Expected results:
Use sr@latin instead of the current sr@Latn directory for glib2.
Comment 1 Matthias Clasen 2008-04-16 20:50:07 EDT
Patching this on a per-package basis is hardly productive.
I've sent a mail to gnome-i18n@gnome.org to discuss switching all Serbian gnome
translations over to the new glibc locale tag.
Comment 2 Bug Zapper 2008-05-14 05:32:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Miloš Komarčević 2008-05-22 07:58:46 EDT
Matthias, thanks for taking an interest in this issue.

When we discussed this unification and transition within our community some time
ago (which was prompted by glibc maintainer's inflexibility), I hoped the Gnome
guys would get on it by now - we've managed to switch most of Fedora's modules
so far.

I think Danilo was hoping to get rid of sr@Latn in Gnome altogether and come up
with a runtime solution that would do transliteration on the fly when sr@latin
is requested, but AFAIK that work is not finished yet, and I decided to go ahead
commit sr@latin translations to Fedora modules in the meantime.

This issue is a mess since there doesn't seem to be a standard way to denote
locale differences based on script across glibc/X/Gnome/KDE/Mozilla/OOo/Web.
FYI, I personally think this is a good discussion of the overall problem:


and would love to see something like CLRD/RFC4646(obsoletes 3066 mentioned in
the dcoument above) implemented across the board, but don't see glibc changing.

Anyway, please let me know if I can help liaise with other Serbian teams and
upstream projects. You can also get in touch with our Fedora team at
Comment 4 Robert Scheck 2008-07-27 10:40:10 EDT
Comment 5 Matthias Clasen 2008-08-05 21:52:38 EDT
Relevant upstream bug is http://bugzilla.gnome.org/show_bug.cgi?id=481423
Comment 6 Matthias Clasen 2008-08-25 13:11:56 EDT
This has just been changed upstream for all of Gnome. 
2.24 will use sr@latin.

Note You need to log in before you can comment on or make changes to this bug.